Wikipedia

List Wikipedia logs

List public Wikipedia log events by type, page, user or time.

GET/v1/wikipedia/logs
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
6
langstringquery

Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.

typestringquery

Only events of this log type.

one of: delete, move, block, protect, newusers, upload, patrol, review, rights, create, merge, thanks, abusefilter

titlestringquery

Only events about this page.

sincestringquery

Only events at or after this time, as `YYYY-MM-DD` or an ISO 8601 date-time with a zone.

limitintegerquery

Rows per page, 1 to 500. Default: 50.

≥ 1 · ≤ 500

cursorstringquery

Cursor from `page.nextCursor` of the previous response. It only works with the same filters.

min 1 chars · max 2048 chars

Response fields
28

Endpoint-specific response payload.

datalookupStatus
string

Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.

one of: found, not_found

datalang
string

Edition code.

Log events in this page of the walk.

dataevents[]logId
integer

Log id.

dataevents[]ns
integernullable

Namespace id.

dataevents[]title
string

Title.

dataevents[]pageId
integernullable

Page id.

dataevents[]logPage
integernullable

Log page id.

dataevents[]revId
integernullable

Revision id, when the log has one.

dataevents[]params
object

Log parameters.

dataevents[]type
string

Log type.

dataevents[]action
string

Log action.

dataevents[]user
stringnullable

User name.

dataevents[]userId
integernullable

User id; null when hidden.

dataevents[]temp
boolean

Whether a temporary account made the event.

dataevents[]timestamp
stringnullable

When it happened, ISO 8601.

dataevents[]comment
stringnullable

Summary.

Change tags.

dataevents[]tags[]
stringoptional

Pagination state. `nextCursor` is null on the last page.

datapagehasMore
boolean

Whether another page is available.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more pages exist; null on the last page.

dataempty
boolean

Whether the answer is a valid empty result rather than missing.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/wikipedia/logs?type=delete" \
  -H "x-api-key: YOUR_API_KEY"

Responses

List Wikipedia logs